%define name 		leif
%define version 	0.7
%define release 	2mdk
%define summary		KDE tool for sony/ericsson mobile phone

Name: 			%{name}
Summary: 		%{summary}
Version: 		%{version}
Release: 		%{release}
License:		GPL
URL:			http://sourceforge.net/projects/leif/
Source: 		%{name}-%{version}.tar.bz2
Group:			System/Configuration/Hardware
BuildRequires:		kdelibs-devel openobex-devel
BuildRequires:		bluez-devel bluez-sdp-devel ezV24-devel
Requires:		bluez-utils
BuildRoot: 		%{_tmppath}/%{name}-%{version}-buildroot

%description
leif is a tool for managing your sony/ericsson t68/t68i/T610/...
mobile phone. it supports phonebook editing, file uploading and
sms management.
Support for Bluetooth and IrDA

%prep
%setup -q

%build
%define __libtoolize /bin/true
%configure
./remove-pedantic.sh
%make

%install
rm -rf %buildroot
%makeinstall

mkdir -p %buildroot%{_menudir}
kdedesktop2mdkmenu.pl %{name} Office/Communications/Phone %buildroot/%_datadir/applnk/Utilities/leif.desktop %buildroot/%_menudir/leif

%clean
rm -rf %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%doc %{_docdir}/HTML/en/*
%_bindir/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%_menudir/%{name}
%_iconsdir/*

%changelog
* Sun Jul 11 2004 Michael Scherer <misc@mandrake.org> 0.7-2mdk 
- rebuild for new gcc

* Fri Apr 30 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7-1mdk
- First Mandrakelinux package
